HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostTestHelpersTreasuryOutboundTransfersOutboundTransferReturn

Contains the different functions to run the operation postTestHelpersTreasuryOutboundTransfersOutboundTransferReturn

  • 4 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports7
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostTestHelpersTreasuryOutboundTransfersOutboundTransferReturn.hs
valuepostTestHelpersTreasuryOutboundTransfersOutboundTransferReturn
  1. :: MonadHTTP m
  2. => Text

    outbound_transfer | Constraints: Maximum length of 5000

  3. -> Maybe PostTestHelpersTreasuryOutboundTransfersOutboundTransferReturnRequestBody

    The request body to send

  4. -> ClientT m (Response PostTestHelpersTreasuryOutboundTransfersOutboundTransferReturnResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/return

<p>Transitions a test mode created OutboundTransfer to the <code>returned</code> status. The OutboundTransfer must already be in the <code>processing</code> state.</p>

Defines the object schema located at paths./v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/return.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/return.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.returned_details in the specification.

Details about a returned OutboundTransfer.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/test_helpers/treasury/outbound_transfers/{outbound_transfer}/return.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.returned_details.properties.code in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postTestHelpersTreasuryOutboundTransfersOutboundTransferReturn.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostTestHelpersTreasuryOutboundTransfersOutboundTransferReturnResponseError is used.

Instances2Eq, Show